%define major		8
%define libname		%mklibname datovka %{major}
%define develname	%mklibname datovka -d

Name:		libdatovka
Version:	0.7.1
Release:	%mkrel 1
Summary:	Client library for accessing SOAP services of ISDS (Czech Data Boxes)
Group:		System/Libraries
License:	LGPLv3+ and GPLv3+
URL:		https://www.datovka.cz/
Source0:	https://datovka.nic.cz/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	dos2unix
BuildRequires:	make
BuildRequires:	gcc
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	coreutils
BuildRequires:	docbook-style-xsl
BuildRequires:	gnupg2
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gpgme)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)

%description
Client library for accessing SOAP services of ISDS (Informační systém
datových schránek / Data Box Information System) as defined in Czech ISDS Act
(300/2008 Coll.) <http://portal.gov.cz/zakon/300/2008> and implied documents.

#------------------------------------------------

%package -n	%{libname}
Summary:	Client library for accessing SOAP services of ISDS (Czech Data Boxes)
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}

%description -n	%{libname}
Client library for accessing SOAP services of ISDS (Informační systém
datových schránek / Data Box Information System) as defined in Czech ISDS Act
(300/2008 Coll.) <http://portal.gov.cz/zakon/300/2008> and implied documents.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%package	i18n
Summary:	Translation files for %{name}
Group:		System/Libraries
BuildArch:	noarch

%description	i18n
This package contains translation files for %{name}.

#------------------------------------------------

%package doc
Summary:	Documentation files for %{name}
Group:		Documentation
BuildArch:	noarch

%description doc
Documentation files for %{name}.

#------------------------------------------------

%prep
%autosetup -p1

dos2unix src/*.{c,h}

%build
autoreconf -fi
%configure \
	--enable-doc \
	--disable-online-test \
	--disable-static \
	--enable-test \
	--with-libcurl \
	--disable-fatalwarnings

%make_build

%install
%make_install

%find_lang %{name}

%check
make check

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog README TODO NEWS
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*

%files i18n -f %{name}.lang

%files doc
%doc client


%changelog
* Wed Apr 09 2025 daviddavid <daviddavid> 0.7.1-1.mga10
+ Revision: 2174274
- new version: 0.7.1

* Sun Mar 16 2025 wally <wally> 0.7.0-2.mga10
+ Revision: 2164887
- rebuild for libxml2 2.13.6

* Mon Sep 02 2024 daviddavid <daviddavid> 0.7.0-1.mga10
+ Revision: 2092680
- new version: 0.7.0
- now libmajor is 8

* Tue Feb 27 2024 daviddavid <daviddavid> 0.6.2-1.mga10
+ Revision: 2044615
- new version: 0.6.2

* Thu Feb 15 2024 daviddavid <daviddavid> 0.6.1-1.mga10
+ Revision: 2041467
- new version: 0.6.1

* Fri Dec 29 2023 daviddavid <daviddavid> 0.6.0-1.mga10
+ Revision: 2024063
- new version: 0.6.0

* Thu Nov 23 2023 daviddavid <daviddavid> 0.5.1-1.mga10
+ Revision: 2009381
- new version: 0.5.1

* Wed Sep 06 2023 daviddavid <daviddavid> 0.4.0-1.mga10
+ Revision: 1984818
- new version: 0.4.0
- now libmajor is 5

* Sun Feb 19 2023 daviddavid <daviddavid> 0.3.0-1.mga9
+ Revision: 1944079
- new version: 0.3.0
- now libmajor is 4

* Sun Nov 06 2022 neoclust <neoclust> 0.2.1-1.mga9
+ Revision: 1904165
- New version 	0.2.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Apr 16 2021 daviddavid <daviddavid> 0.1.2-1.mga9
+ Revision: 1715943
- new version: 0.1.2

* Sat Mar 20 2021 daviddavid <daviddavid> 0.1.1-2.mga9
+ Revision: 1705285
- fix dependencies

* Fri Mar 05 2021 daviddavid <daviddavid> 0.1.1-1.mga9
+ Revision: 1698892
- initial package libdatovka

